/**
 * 考核管理
 * */
export default {
    namespaced: true,
    state: {
        id: '',
        assessmentName: '',
        status: '',
        type: '',
        startTime: '',
        endTime: '',
        reviewId: '',
        paperId: '',
        stuId: '',
        isReview: false,
        reviewStatus: '',
        timeSpent: 0,
        typeList: [
            {
                id: 1,
                name: '期中考试'
            },{
                id: 2,
                name: '期末考试'
            },{
                id: 3,
                name: '模拟考'
            }
        ],
        stateList: [
            {
                id: 1,
                name: '待开始'
            },{
                id: 2,
                name: '进行中'
            },{
                id: 3,
                name: '已结束'
            } 
        ],
        studentStateList: [
            {
                id: 0,
                name: '未考'
            },{
                id: 1,
                name: '在考'
            },{
                id: 2,
                name: '已考'
            } 
        ],
        reviewStatusList: [
            {
                id: 0,
                name: '未批阅'
            },{
                id: 1,
                name: '批阅部分'
            },{
                id: 2,
                name: '已批阅'
            },{
                id: 3,
                name: '没有主观题，不需要批阅'
            }
        ],
        examStatusList: [
            {
                id: 0,
                name: '未考'
            },{
                id: 1,
                name: '在考'
            },{
                id: 2,
                name: '已提交'
            }
        ],
        correctingList: [
            {
                id: 0,
                name: '待阅'
            },{
                id: 1,
                name: '已阅'
            }
        ],
    },
    getters: {
        getTypeName: state => id => {
            return id != null ? state.typeList.find(n => n.id == id).name : ''
        },
        getStateName: state => id => {
            return id != null ? state.stateList.find(n => n.id == id).name : ''
        },
        getReviewStatusName: state => id => {
            return id != null ? state.reviewStatusList.find(n => n.id == id).name : '--'
        },
        getExamStatusName: state => id => {
            return id != null ? state.examStatusList.find(n => n.id == id).name : ''
        },
        getCorrectingName: state => id => {
            return id != null ? state.correctingList.find(n => n.id == id).name : ''
        },
        getStudentStateName: state => id => {
            return id != null ? state.studentStateList.find(n => n.id == id).name : ''
        },
    },
    mutations: {
        SET_INFO: (state, info) => {
            state.id = info.id
            state.assessmentName = info.assessmentName
            state.type = info.type
            state.startTime = info.startTime
            state.endTime = info.endTime
            state.status = info.status
        },
        SET_REVIEW_INFO: (state, info) => {
            state.reviewId = info.id
            state.paperId = info.paperId
            state.stuId = info.stuId
            state.isReview = info.isReview
            state.reviewStatus = info.reviewStatus
            state.timeSpent = info.timeSpent
        },
    },
    actions: {
        setAssInfo({ commit },info) {
            commit('SET_INFO',info)
        },
        setReviewInfo({ commit },info) {
            commit('SET_REVIEW_INFO',info)
        },
    }
}