/**
 * 练习管理
 * */
export default {
    namespaced: true,
    state: {
        practiseId: '',
        practiseName: '',
        endTime: '',
        id: '',
        paperId: '',
        stuId: '',
        isReview: false,
        reviewStatus: '',
        userId: '',
        classId: '',
        className: '',
        stateList: [
            {
                id: 1,
                name: '待开始'
            },{
                id: 2,
                name: '进行中'
            },{
                id: 3,
                name: '已结束'
            } 
        ],
        reviewStatusList: [
            {
                id: 0,
                name: '未批阅'
            },{
                id: 1,
                name: '批阅部分'
            },{
                id: 2,
                name: '已批阅'
            },{
                id: 3,
                name: '没有主观题，不需要批阅'
            }
        ],
        examStatusList: [
            {
                id: 0,
                name: '未考'
            },{
                id: 1,
                name: '练习中'
            },{
                id: 2,
                name: '已提交'
            }
        ],
        correctingList: [
            {
                id: 0,
                name: '待阅'
            },{
                id: 1,
                name: '已阅'
            }
        ],
    },
    getters: {
        getStateName: state => id => {
            return id != null ? state.stateList.find(n => n.id == id).name : ''
        },
        getReviewStatusName: state => id => {
            return id != null ? state.reviewStatusList.find(n => n.id == id).name : ''
        },
        getExamStatusName: state => id => {
            return id != null ? state.examStatusList.find(n => n.id == id).name : ''
        },
        getCorrectingName: state => id => {
            return id != null ? state.correctingList.find(n => n.id == id).name : ''
        },
    },
    mutations: {
        SET_INFO: (state, info) => {
            state.practiseId = info.practiseId
            state.endTime = info.endTime
            state.practiseName = info.practiseName
        },
        SET_REVIEW_INFO: (state, info) => {
            state.id = info.id
            state.practiseId = info.practiseId
            state.paperId = info.paperId
            state.stuId = info.stuId
            state.isReview = info.isReview
            state.reviewStatus = info.reviewStatus
            state.identification = info.identification
        },
        SET_REVIEW_BY_STUDENT_INFO: (state, info) => {
            state.userId = info.userId
        },
        SET_CLASS_INFO: (state, info) => {
            state.classId = info.classId
            state.className = info.className
        },
    },
    actions: {
        setPracInfo({ commit },info) {
            commit('SET_INFO',info)
        },
        setReviewByStudentInfo({ commit },info) {
            commit('SET_REVIEW_BY_STUDENT_INFO',info)
        },
        setReviewInfo({ commit },info) {
            commit('SET_REVIEW_INFO',info)
        },
        setClassInfo({ commit },info) {
            commit('SET_CLASS_INFO',info)
        },
    }
}